
From: Samuel Thibault <samuel.thibault@ens-lyon.org>

Here is a small fix to enable muting ESS Maestro sound card thanks to the
up/down buttons: when has reached the driver's minimum (!  this is
something like -dB value), just mute.  (It was working in OSS driver, but
not in ALSA)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/pci/es1968.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN sound/pci/es1968.c~front-buttons-wouldnt-mute-ess-maestro sound/pci/es1968.c
--- 25/sound/pci/es1968.c~front-buttons-wouldnt-mute-ess-maestro	Tue Jul 27 14:22:30 2004
+++ 25-akpm/sound/pci/es1968.c	Tue Jul 27 14:22:30 2004
@@ -1979,6 +1979,8 @@ static void es1968_update_hw_volume(unsi
 			if ((val & 0xff00) < 0x1f00)
 				val += 0x0100;
 		}
+		if (val == 0x1f1f)
+			val |= 0x8000;
 		snd_ac97_write_cache(chip->ac97, AC97_MASTER, val);
 		snd_ctl_notify(chip->card, SNDRV_CTL_EVENT_MASK_VALUE,
 			       &chip->master_volume->id);
_
